Subject: Bug#1217: [X2Go-Dev] Bug#1217: #1217 - X2GoClient does not auto-resume sessions in public application mode

From: Ulrich Sibiller <[email-masked]>
Date: Fri, 25 Oct 2019 16:40:53 +0200

Sounds like a bug. As a workaround you could instruct your local
window manager to minimize the x2go window. kwin offers a lot of
options for doing this, not sure what other window managers have.

Uli

On Fri, Oct 25, 2019 at 4:03 PM Fingerless Gloves
<[email-masked]> wrote:
>
> Hi All,
>
> I too have this problem too. I would like to open x2go with the command
> below and then have it resume my published apps session, but unless I
> remove --hide I can't make it resume and always creates a new session. I
> tried setting a session limit for my user on the x2go server but that
> just errors saying no more sessions.
>
> "C:\Program Files (x86)\x2goclient\x2goclient.exe" --session=Parrot
> --tray-icon --hide --select-first-display
>
> I'd like to make it so when my PC boots x2go session starts in the
> background automaticly with my ssh key, without any prompts other than
> the ssh key password. Only way to do this currently is to have the x2go
> session window always there, which I can't find a way to minimize to tray.
>
> Would be nice if there was a command line option to make it resume the
> first session it sees.
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev